version: '3'
services:
  netdata:
    image: netdata/netdata
    container_name: netdata
    hostname: "${HOSTNAME}" # set to fqdn of host
    ports:
      - 19999:19999
    restart: unless-stopped
    cap_add:
      - SYS_PTRACE
    security_opt:
      - apparmor:unconfined
    volumes:
      - netdataconfig:/etc/netdata
      - netdatalib:/var/lib/netdata
      - netdatacache:/var/cache/netdata
      - /etc/passwd:/host/etc/passwd:ro
      - /etc/group:/host/etc/group:ro
      - /proc:/host/proc:ro
      - /sys:/host/sys:ro
      - /etc/os-release:/host/etc/os-release:ro
    environment:
      - NETDATA_CLAIM_TOKEN=RXSgYlA1ejRdOFzbWfCmc3sxpermaAcnZ_C5PlS1Uw7V77Cpsyz9TxfcwmwbBQG2Oq9IyU_WuFFPZM2FfPCbKyGA2JUL_JBpSJSJRF1yvtVN18MyuLjQjJTkkYuO4yS8pwyVCyU
      - NETDATA_CLAIM_URL=https://app.netdata.cloud
      - NETDATA_CLAIM_ROOMS=cdfc5ee4-6b0d-4c9d-bc10-72715d3253a3


volumes:
  netdataconfig:
  netdatalib:
  netdatacache: